<!doctype html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <link rel="stylesheet" href="contents/bootstrap.min.css">
</head>

<body style="background-color:#B8C3CF;">
    <div class="container">
        <div class="row">
            &nbsp;
        </div>
        <div class="row">
            <div class="col">
                <div class="row">
                    <img id="image1" src="file:///home/u764/Downloads/notes/sig1.bmp" class="border border-primary"
                        style="height: 244px;">
                </div>

                <div class="row">
                    <input id="input1" class="btn btn-primary" style="visibility:hidden;" type="file" accept="image/*"
                        onchange="loadImage(event, 'image1')">
                </div>

                <div class="row">
                    <button class="btn btn-primary" onclick="document.getElementById('input1').click();">Load
                        Image</button>
                </div>
            </div>
            <div class="col">
                <div class="row">
                    <img id="image2" src="file:///home/u764/Downloads/notes/sig2.bmp" class="border border-primary"
                        style="height: 244px;">
                </div>
                <div class="row">
                    <input id="input2" class="btn btn-primary" style="visibility:hidden;" type="file" accept="image/*"
                        onchange="loadImage(event, 'image2')">
                </div>
                <div class="row">
                    <button class="btn btn-primary" onclick="document.getElementById('input2').click();">Load
                        Image</button>
                </div>
            </div>
        </div>
        <div class="row">
            &nbsp;
        </div>
        <div class="row">
            &nbsp;
        </div>
        <div class="row">
            <button class="btn btn-primary" onclick="verify()">Verify</button>
        </div>
        <div class="row">
            &nbsp;
        </div>
        <div id='verification_results' class="row" style="visibility: hidden;">
            <div class="col-md-4 border border-primary rounded">
                <div class="row">&nbsp;</div>
                <label style="font-weight: bold;">Siamese:</label>
                <div class="progress">
                    <div id="match_probability_progress_bar" class="progress-bar" role="progressbar"
                        style="width: 100%;" aria-valuenow="100" aria-valuemin="0" aria-valuemax="100"></div>
                </div>
                <div class="row">&nbsp;</div>
                <label style="font-weight: bold;">Triplet:</label>
                <div class="progress">
                    <div id="similarity_progress_bar" class="progress-bar" role="progressbar" style="width: 100%;"
                        aria-valuenow="100" aria-valuemin="0" aria-valuemax="100"></div>
                </div>
                <div class="row">&nbsp;</div>
                <label style="font-weight: bold;">Combination:</label>
                <div class="progress">
                    <div id="final_result_progress_bar" class="progress-bar" role="progressbar" style="width: 100%;"
                        aria-valuenow="100" aria-valuemin="0" aria-valuemax="100"></div>
                </div>
                &nbsp;
            </div>
        </div>
    </div>

    <script src="./contents/jquery-3.4.1.slim.min.js"> </script>
    <script src="./contents/popper.min.js"></script>
    <script src="./contents/bootstrap.min.js"></script>

    <script>
        const VERIFICATION_API_URL = 'http://localhost:5000/verify';

        var loadImage = function (event, image_id) {
            var reader = new FileReader();
            reader.onload = function () {
                var output = document.getElementById(image_id);
                output.src = reader.result;
            };
            reader.readAsDataURL(event.target.files[0]);
        };

        var verify = function () {
            var image1 = document.getElementById('image1');
            var image2 = document.getElementById('image2');

            var http = new XMLHttpRequest();
            var url = VERIFICATION_API_URL;

            http.open('POST', url, true);
            http.setRequestHeader('Content-Type', 'application/json');

            http.onreadystatechange = function () {
                if (http.readyState == 4 && http.status == 200) {
                    results = JSON.parse(http.response);

                    match_probability = Math.round(results['siamese']);
                    match_progress_bar = document.getElementById('match_probability_progress_bar');
                    match_progress_bar.style.width = String(match_probability) + "%";
                    match_progress_bar.attributes['aria-valuenow'] = String(match_probability);
                    match_progress_bar.innerText = String(match_probability) + "%";

                    similarity = Math.round(results['triplet']);
                    similarity_progress_bar = document.getElementById('similarity_progress_bar');
                    similarity_progress_bar.style.width = String(similarity) + "%";
                    similarity_progress_bar.attributes['aria-valuenow'] = String(similarity);
                    similarity_progress_bar.innerText = String(similarity) + "%";

                    combination = Math.round(results['combination']);
                    final_result_progress_bar = document.getElementById('final_result_progress_bar');
                    final_result_progress_bar.style.width = String(combination) + "%";
                    final_result_progress_bar.attributes['aria-valuenow'] = String(combination);
                    final_result_progress_bar.innerText = String(combination) + "%";

                    document.getElementById('verification_results').style.visibility = 'visible';
                }
            }

            http.send(JSON.stringify({
                "image1_b64": image1.src.substring(22),
                "image2_b64": image2.src.substring(22)
            }));
        }
    </script>
</body>

</html>